SCONSIGN(1)

NAME
sconsign - print SCons signature file information

SYNOPSIS

sconsign [options...] [file...]

DESCRIPTION

Displays the contents of one or more sconsign files, the signature/dependency database used by the SCons build tool. The database contains all Nodes that are known to the build, either by declaration in the build configuration, produced as side effects, or detected by inspection.

By default, sconsign dumps the entire contents of the sconsign file(s). Without options, individual dependency entries are printed in the following format:

    depfile: content-signature timestamp length
            implicit-dependency-1: content-signature timestamp length
            implicit-dependency-2: content-signature timestamp length
            ...
            build-signature [action-string]

content-signature is the hash of the file's contents (csig) and build-signature is the hash of the command line or other build action used to build a target (bactsig). If provided, action-string is the unexpanded string action or the function called. None is printed in place of any missing timestamp, csig, or bactsig values for any entry or any of its dependencies. If the entry has no implicit dependencies, or no build action, the corresponding lines are omitted.

An indicator line is printed for each directory, as directories do not have signatures in the database and so would not otherwise be shown.

By default, sconsign assumes that any file arguments that end with a .dblite suffix contains signature entries for more than one directory (that is, was specified by the SConsignFile SCons function). Any file argument that has no suffix is assumed to be an old-style (deprecated) sconsign file containing the signature entries for a single directory. If neither of those is true, sconsign attempts to guess the format. If that does not work, an explicit format may be specified using the -f or --format= options.

If there are no file arguments, the name .sconsign.dblite is assumed by default.

OPTIONS

Various options control what information is printed and the format:

-a, --act, --action
    Prints only the build action information for all entries or the specified entries.

-c, --csig
    Prints only the content signature (csig) information for all entries or the specified entries.

-d DIRECTORY, --dir=DIRECTORY
    When the signatures are being read from a .dblite file, or the -f dblite or --format=dblite options are used, prints information about only the signatures for entries in the specified DIRECTORY.

-e ENTRY, --entry=ENTRY
    Prints information about only the specified ENTRY. Multiple -e options may be used, in which case information about each ENTRY is printed in the order in which the options are specified on the command line.

-f FORMAT, --format=FORMAT
    The file(s) to be printed are in the specified FORMAT. Legal values are dblite (the SCons.dblite format used by default, as well as when the SConsignFile function is called, except when a filename argument of None is given) and sconsign (the format used for an individual .sconsign file in each directory).

-h, --help
    Prints a help message and exits.

-i, --implicit
    Prints the list of cached implicit dependencies for all entries or for the specified entries.

--raw
    Prints a pretty-printed representation of the raw Python dictionary that holds build information about individual entries (both the entry itself and its implicit dependencies). An entry's build action is still printed in its usual format.

-r, --readable
    Prints timestamps in a human-readable string, enclosed in single quotes.

-t, --timestamp
    Prints the timestamp information for all entries or the specified entries.

-v, --verbose
    Prints labels identifying each field being printed.

ENVIRONMENT

SCONS_LIB_DIR
    Specifies the directory that contains the SCons Python module directory (e.g. /home/aroach/scons-src/SCons).

SEE ALSO

The SCons reference (manpage) at https://scons.org/doc/production/HTML/scons-man.html, the SCons User Guide at https://scons.org/doc/production/HTML/scons-user.html, the SCons source code on GitHub[1].

AUTHORS

Originally: Steven Knight knight@baldmt.com and Anthony Roach aroach@electriceyeball.com.

Since 2010: The SCons Development Team scons-dev@scons.org.

NOTES

1.  on GitHub
    https://github.com/SCons/scons